INTERFACE
SUBROUTINE ACPLUIS ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PAPRSF,PDELP,PNEBS,PQ,PQLIS,PQW,PR,PT,&
 & PFCSQL,PFCSQN,PFPLSL,PFPLSN,&
 & PFPEVPL,PFPEVPN,PFPFPL,PFPFPN,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNEBS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLIS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPEVPL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPEVPN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPFPL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPFPN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCSQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCSQN(KLON,0:KLEV)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACPLUIS
END INTERFACE
